| AOMedia AV1 Codec

Data Fields
EncSegmentationInfo Struct Reference

Segmentation related information for the current frame. More...

`#include <encoder.h>`

## Data Fields
uint8_t * | map
bool | has_lossless_segment

## Detailed Description

Segmentation related information for the current frame.

## Field Documentation

## ◆ map

uint8_t* EncSegmentationInfo::map

3-bit number containing the segment affiliation for each 4x4 block in the frame. map[y * stride + x] contains the segment id of the 4x4 block at (x,y) position.

Referenced by av1_encode_frame(), and encode_sb_row().

## ◆ has_lossless_segment

bool EncSegmentationInfo::has_lossless_segment

Flag to indicate if current frame has lossless segments or not. 1: frame has at least one lossless segment. 0: frame has no lossless segments.

Referenced by encode_frame_internal().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h